<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
$a = $db->sql_query ("Select * from vopros where ids = '1'");
$b = $db->sql_fetchrow ($a);
$nom = $b["number"];
$vr = $b["time"];
$answ = $b["answer"];

if ($time>=$vr){
if ($nom == 5){
$st = $time;
$st = $st + 240;
@$db->sql_query ("Update vopros set time = '".$st."' WHERE ids = '1'");
$r = $db->sql_query ("Select count(*) as num from question");
$a = $db->sql_fetchrow($r);
$num = $a["num"];
$rnd = rand(1,$num);

$qu = $db->sql_query ("Select * from question where number='".$rnd."'");
$re = $db->sql_fetchrow ($qu);
$answ = $re["answer"];
$tran = $re["tran"];
$nom = 0;
$vr = $st;

$i = strlen2($tran);




$wop = rand(1,9);
$wop = preg_replace("#1#i","[b]Вопрос:[/b]",$wop);
$wop = preg_replace("#2#i","[b]А вот и вопрос:[/b]",$wop);
$wop = preg_replace("#3#i","[b]Ответите ли вы на это:[/b]",$wop);
$wop = preg_replace("#4#i","[b]А теперь ответьте на это:[/b]",$wop);
$wop = preg_replace("#5#i","[b]Вопросик:[/b]",$wop);
$wop = preg_replace("#6#i","[b]Вопросище:[/b]",$wop);
$wop = preg_replace("#7#i","[b]Отвечаем на:[/b]",$wop);
$wop = preg_replace("#8#i","[b]Итак:[/b]",$wop);
$wop = preg_replace("#9#i","[b]ВНИМАНИЕ! Вопрос:[/b]",$wop);
$vp = "".$wop." ".$re["vopros"]." ($i букв)";

$db->sql_query ("Update vopros set number = '".$nom."', question = '".$vp."', answer = '".$answ."', tran = '".$tran."' WHERE ids ='1'");

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','$time','$vp','$rm','0','0','0')");


} else {

$victint = $set['victint'];
$st = $time + $victint;
if ($victint=='10') $interval='10 секунд';
else if ($victint=='30"') $interval='30 секунд';
else if ($victint=='60') $interval='минуту';
else $interval='2 минуты';
$db->sql_query ("Update vopros set time = '".$st."' WHERE ids = '1'");
$r = $db->sql_query ("Select count(*) as num from question");
$a = $db->sql_fetchrow($r);
$num = $a["num"];
$rnd = rand(1,$a['num']);
$re = $db->sql_fetchrow ($db->sql_query ("Select * from question where number='".$rnd."'"));
$answ = $re['answer'];
$tran = $re['tran'];
$nom = 5;
$vr = $st;
$a1 = $db->sql_query ("Select answer from vopros where ids='1'");
$b1 = $db->sql_fetchrow ($a1);
$otvet = $b1["answer"];
$vp = "Ответ на вопрос был: [b]".$otvet."[/b]!";

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','$time','$vp','$rm','0','0','0')");

$db->sql_query ("Update vopros set number = '".$nom."', answer = '".$answ."', tran = '".$tran."' WHERE ids ='1'");

$ehvi=@file(H.'bots/badumn.txt');
$mda=$ehvi[rand(0,count($ehvi)-1)];
$mda = preg_replace("#\n#i", '', $mda);
$mda = preg_replace("#\r#i", '', $mda);
$vp = $mda.' Следующий вопрос через '.$interval;
$today=date ("H:i");
$rnd = rand(0,99999999);

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','$time','$vp','$rm','0','0','0')");

}
}else
if ((($vr-$time)<180)&&($nom == 0)){
$nom = 1;
$db->sql_query ("Update vopros set number = '".$nom."' WHERE ids ='1'");

$answ2 = $answ;
$answ2=substr($answ2, 0, 2);
$answ2=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$answ2);

$vp = "[b]Подсказка:[/b] $answ2...";

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','$time','$vp','$rm','0','0','0')");

} else
if ((($vr-$time)<90)&&($nom < 2)){
$nom = 2;
$db->sql_query ("Update vopros set number = '".$nom."' WHERE ids ='1'");

$answ2 = $answ;


$answ2=substr($answ2, 0, 4);
$answ2=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$answ2);

$vp = "[b]Подсказка:[/b] $answ2...";

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_um','0','$time','$vp','$rm','0','0','0')");
}
?>
